function [] = tableSoundspeedEdit(~, event)
%TABLESOUNDSOURCEOFFSETSEDIT Summary of this function goes here
%   Detailed explanation goes here


global artoaGui artoaWorkspace;

%% Get data
try
    selectedColumn = event.Indices(2);
catch
    selectedColumn = NaN;
end

%% Check if the column that has been edited is locked
if 1 <= selectedColumn & selectedColumn <= 2
    artoa.controller.edit.offsets.updateGui();
    return;
end

if ~artoa.data.hasMember(artoaWorkspace, {'editOffsets', 'soundspeed'})
    return;
end

%% Save to workspace
artoaWorkspace.editOffsets.soundspeed(:, :) = artoaGui.editOffsets.tableSoundspeed.Data;

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end
