function [] = onMouseWheelFcn(~, callbackData)
%ONMOUSEWHEELFCN Summary of this function goes here
%   Detailed explanation goes here

global artoaGui;


%% Panning using scroll wheel
if ~artoaGui.editTimeOfArrival.keyShiftDown & ~artoaGui.editTimeOfArrival.keyControlDown
    verticalFactor = 0.1;
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim = ...
        artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim ...
            - (diff(artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim) * verticalFactor * callbackData.VerticalScrollCount);
    return;
elseif artoaGui.editTimeOfArrival.keyShiftDown
    horizontalFactor = 0.1;
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim = ...
        artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim ...
            + (diff(artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim) * horizontalFactor * callbackData.VerticalScrollCount);
    return;
end

%% Zooming using scroll wheel
if artoaGui.editTimeOfArrival.keyControlDown & ~artoaGui.editTimeOfArrival.keyShiftDown
    zoomValue = 0.1 * diff(artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim) * callbackData.VerticalScrollCount;
    if zoomValue > 0
        mouseOffsetX = 0;
        mouseOffsetY = 0;
    else
        mouseOffsetX = 0.5 * (mean(artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim) - artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.CurrentPoint(1, 1));
        mouseOffsetY = 0.5 * (mean(artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim) - artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.CurrentPoint(1, 2));
    end
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim(1) = ...
        artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim(1) ...
            - zoomValue - mouseOffsetX;
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim(2) = ...
        artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.XLim(2) ...
            + zoomValue - mouseOffsetX;
    zoomValue = 0.1 * diff(artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim) * callbackData.VerticalScrollCount;
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim(1) = ...
        artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim(1) ...
            - zoomValue - mouseOffsetY;
    artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim(2) = ...
        artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.YLim(2) ...
            + zoomValue - mouseOffsetY;
    return;
end

end

