function [launchPositionHandle] = plotLaunchPosition(pAxesHandle, pLaunchposition, pPlotAsMap)
%PLOTSOUNDSOURCELINES Summary of this function goes here
%   Detailed explanation goes here

if nargin < 3
    pPlotAsMap = false;
end

%% Plot launch position

% make handle the current axes
axes(pAxesHandle);

hold(pAxesHandle, 'on');

if pPlotAsMap
    launchPositionHandle = scatterm(pLaunchposition(1), pLaunchposition(2));
else
    launchPositionHandle = scatter(pLaunchposition(2), pLaunchposition(1));
end

hold(pAxesHandle, 'off');

end

